com.google.appengine.api.socket.dev

## Class DevSocketFilter

- java.lang.Object
- - com.google.appengine.api.socket.dev.DevSocketFilter

-     public class DevSocketFilter
      extends java.lang.Object

  Switches dev server `Socket` and `DatagramSocket` between native and App Engine sockets.

  The dev server makes extensive use of `Socket`, however the App Engine environment does not allow all the capabilities of native sockets. This filter will perform the toggle between using App Engine sockets using the `DevSocketImplFactory` which maintains a thread local flag for this purpose. This filter should be configured in filter chain (here: //java/com/google/appengine/tools/development/webdefault.xml) just before user code is entered into.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DevSocketFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
    `void` | `init(FilterConfig filterConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DevSocketFilter

          public DevSocketFilter()

  - ### Method Detail

    - #### init

          public void init(FilterConfig filterConfig)
                    throws ServletException

      Throws:
        `ServletException`

    - #### doFilter

          public void doFilter(ServletRequest request,
                      ServletResponse response,
                      FilterChain chain)
                        throws java.io.IOException,
                               ServletException

      Throws:
        `java.io.IOException`
        `ServletException`
      See Also:
        `javax.servlet.Filter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)`

    - #### destroy

          public void destroy()